source: trunk/toolchain/gcc/patches/4.7.0/100-uclibc-conf.patch @ 31216

Last change on this file since 31216 was 31216, checked in by mirko, 4 years ago

[toolchain/gcc] add support for gcc 4.7.0 - thanks to acoul!

File size: 1.0 KB
  • contrib/regression/objs-gcc.sh

    a b if [ $H_REAL_TARGET = $H_REAL_HOST -a $H 
    106106 then 
    107107  make all-gdb all-dejagnu all-ld || exit 1 
    108108  make install-gdb install-dejagnu install-ld || exit 1 
     109elif [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-uclibc ] 
     110 then 
     111  make all-gdb all-dejagnu all-ld || exit 1 
     112  make install-gdb install-dejagnu install-ld || exit 1 
    109113elif [ $H_REAL_TARGET = $H_REAL_HOST ] ; then 
    110114  make bootstrap || exit 1 
    111115  make install || exit 1 
  • libjava/classpath/ltconfig

    a b host_os=`echo $host | sed 's/^\([^-]*\)- 
    603603 
    604604# Transform linux* to *-*-linux-gnu*, to support old configure scripts. 
    605605case $host_os in 
    606 linux-gnu*) ;; 
     606linux-gnu*|linux-uclibc*) ;; 
    607607linux*) host=`echo $host | sed 's/^\(.*-.*-linux\)\(.*\)$/\1-gnu\2/'` 
    608608esac 
    609609 
    linux-gnuoldld* | linux-gnuaout* | linux 
    12471247  ;; 
    12481248 
    12491249# This must be Linux ELF. 
    1250 linux-gnu*) 
     1250linux*) 
    12511251  version_type=linux 
    12521252  need_lib_prefix=no 
    12531253  need_version=no 
Note: See TracBrowser for help on using the repository browser.